Index: src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -1,93 +1,42 @@
-package mk.ukim.finki.db.library.config;
-
-import mk.ukim.finki.db.library.model.*;
-import mk.ukim.finki.db.library.service.*;
-import org.springframework.stereotype.Component;
-
-import javax.annotation.PostConstruct;
-import java.util.Collections;
-import java.util.List;
-
-@Component
-public class DataInitializer {
-
-    private final UserService userService;
-    private final BookService bookService;
-    private final WriterService writerService;
-    private final GenreService genreService;
-    private final LibraryService libraryService;
-    private final SchoolTypeService schoolTypeService;
-    private final MembershipTypeService membershipTypeService;
-    private final RoomService roomService;
-    private final PriceListService priceListService;
-
-    public DataInitializer(UserService userService, BookService bookService, WriterService writerService, LibraryService libraryService, GenreService genreService, LibraryService libraryService1, SchoolTypeService schoolTypeService, MembershipTypeService membershipTypeService, RoomService roomService, PriceListService priceListService) {
-        this.userService = userService;
-        this.bookService = bookService;
-        this.writerService = writerService;
-        this.genreService = genreService;
-        this.libraryService = libraryService1;
-        this.schoolTypeService = schoolTypeService;
-        this.membershipTypeService = membershipTypeService;
-        this.roomService = roomService;
-        this.priceListService = priceListService;
-    }
-
-    @PostConstruct
-    public void initData(){
-        Person member = this.userService.register("MemberName", "MemberSurname",
-                "MemberAddress", "MemberTown", "071/111/222", "memberemail@hotmail.com", "baza123!");
-
-        //LIBRARIES
-        Library library = this.libraryService.create(1L,"Grigor Prlicev", "Ohrid");
-//        this.libraryService.create(2L, "Braka Miladinovci", "Struga");
-//        this.libraryService.create(3L, "Braka Miladinovci", "Skopje");
-
-        //GENRES
-        Genre genre = this.genreService.create(11L, "thriller");
-        this.genreService.create(12L, "comedy");
-        this.genreService.create(13L, "action");
-        this.genreService.create(14L, "romance");
-        this.genreService.create(15L, "history");
-        this.genreService.create(16L, "teenage");
-
-        //WRITERS
-        Writer writer = this.writerService.create(111L, "Dan Brown");
-        this.writerService.create(112L, "Linwood Barclay");
-        this.writerService.create(113L, "Sebastian Fizek");
-        this.writerService.create(114L, "Julie James");
-
-       //BOOKS
-        //this.bookService.createB(1112L,"Seat 7A", 5, true, 30, 50, List.of(1L), List.of(3L), 1L);
-        this.bookService.create(1111L, "Inferno",3, true, 30, 50);
-        this.bookService.create(1112L, "Seat 7A",2, true, 30, 50);
-        this.bookService.create(1113L, "No time for goodbye",0, false, 30, 50);
-
-//        this.bookService.createB(1114L,"Seat 7A", 5, true, 30, 50, Collections.singletonList(((Long) bookService.findById(2L).getGenre().getId())),
-//                List.of(3L), 1L);
-
-        //SCHOOLTYPES
-        this.schoolTypeService.create(1L,"PRIMARY SCHOOL");
-        this.schoolTypeService.create(2L,"HIGH SCHOOL");
-        this.schoolTypeService.create(3L,"OTHER");
-
-        //MEMBERSHIPTYPES
-        this.membershipTypeService.create(1L, "WEEKLY");
-        this.membershipTypeService.create(2L, "MONTHLY");
-        this.membershipTypeService.create(3L, "YEARLY");
-
-        //PRICELIST
-        this.priceListService.create(1L, 70); //weekly - other
-        this.priceListService.create(2L, 100); //monthy - other
-        this.priceListService.create(3L, 300); //yearly - other
-        this.priceListService.create(5L, 150); //yearly - primary school
-        this.priceListService.create(6L, 300); //yearly - high school
-
-        //ROOMS
-        this.roomService.create(1L, "Room 1", 30, 8);
-        this.roomService.create(2L, "Room 2", 20, 5);
-        this.roomService.create(3L, "Room 3", 60, 60);
-
-    }
-
-}
+//package mk.ukim.finki.db.library.config;
+//
+//import mk.ukim.finki.db.library.model.Book;
+//import mk.ukim.finki.db.library.model.Person;
+//import mk.ukim.finki.db.library.model.Writer;
+//import mk.ukim.finki.db.library.service.BookService;
+//import mk.ukim.finki.db.library.service.LibraryService;
+//import mk.ukim.finki.db.library.service.UserService;
+//import mk.ukim.finki.db.library.service.WriterService;
+//import org.springframework.stereotype.Component;
+//
+//import javax.annotation.PostConstruct;
+//import java.util.Calendar;
+//import java.util.Date;
+//
+//@Component
+//public class DataInitializer {
+//
+//    private final UserService userService;
+//    private final BookService bookService;
+//    private final WriterService writerService;
+//    private final LibraryService libraryService;
+//
+//    public DataInitializer(UserService userService, BookService bookService, WriterService writerService, LibraryService libraryService) {
+//        this.userService = userService;
+//        this.bookService = bookService;
+//        this.writerService = writerService;
+//        this.libraryService = libraryService;
+//    }
+//
+//    @PostConstruct
+//    public void initData(){
+//        Person member = this.userService.register("MemberName", "MemberSurname",  new Date(2010, Calendar.JANUARY,1),
+//                "MemberAddres","MemeberTowen", "071/654 521", "memberemail@hotmail.com", "baza123!");
+//
+//        Writer writer = this.writerService.create("Dan Brown");
+//
+//        Book book = this.bookService.create("Inferno", 10, true, 30, 50);
+//
+//
+//    }
+//}
Index: src/main/java/mk/ukim/finki/db/library/model/Book.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Book.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Book.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,5 +3,4 @@
 import javax.persistence.*;
 import java.util.List;
-import java.util.Optional;
 
 @Entity
@@ -10,7 +9,38 @@
     public Book(){}
 
-    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId){}
+//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate) {
+//        this.bookName = bookName;
+//        this.bookNumber = bookNumber;
+//        this.isFree = isFree;
+//        this.bookPrice = bookPrice;
+//        this.bookPriceLate = bookPriceLate;
+//    }
 
-    public Book(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate) {
+//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers
+//    , BookGenre bookGenre, LibrariesEnum librariesEnum) {
+//        this.bookName = bookName;
+//        this.bookNumber = bookNumber;
+//        this.isFree = isFree;
+//        this.bookPrice = bookPrice;
+//        this.bookPriceLate = bookPriceLate;
+//        this.genre = (Genre) genres;
+//        this.writers = writers;
+//        this.bookGenre = bookGenre;
+//        this.librariesEnum = librariesEnum;
+//    }
+//
+//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Writer> writers
+//            , BookGenre bookGenre, LibrariesEnum librariesEnum) {
+//        this.bookName = bookName;
+//        this.bookNumber = bookNumber;
+//        this.isFree = isFree;
+//        this.bookPrice = bookPrice;
+//        this.bookPriceLate = bookPriceLate;
+//        this.writers = writers;
+//        this.bookGenre = bookGenre;
+//        this.librariesEnum = librariesEnum;
+//    }
+
+    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, BookGenre bookGenre, LibrariesEnum librariesEnum) {
         this.bookName = bookName;
         this.bookNumber = bookNumber;
@@ -18,35 +48,6 @@
         this.bookPrice = bookPrice;
         this.bookPriceLate = bookPriceLate;
-    }
-
-    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers) {
-        this.bookName = bookName;
-        this.bookNumber = bookNumber;
-        this.isFree = isFree;
-        this.bookPrice = bookPrice;
-        this.bookPriceLate = bookPriceLate;
-        this.genre = (Genre) genres;
-        this.writers = writers;
-    }
-
-    public Book(Long id,String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers, Library library) {
-        this.id = id;
-        this.bookName = bookName;
-        this.bookNumber = bookNumber;
-        this.isFree = isFree;
-        this.bookPrice = bookPrice;
-        this.bookPriceLate = bookPriceLate;
-        this.genre = (Genre) genres;
-        this.writers = writers;
-        this.library = library;
-    }
-
-    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, Library library) {
-        this.bookName = bookName;
-        this.bookNumber = bookNumber;
-        this.isFree = isFree;
-        this.bookPrice = bookPrice;
-        this.bookPriceLate = bookPriceLate;
-        this.library = library;
+        this.bookGenre = bookGenre;
+        this.librariesEnum = librariesEnum;
     }
 
@@ -65,4 +66,10 @@
     private int bookPriceLate;
 
+    @Enumerated
+    private BookGenre bookGenre;
+
+    @Enumerated
+    private LibrariesEnum librariesEnum;
+
     @ManyToOne
     private Library library;
@@ -74,14 +81,6 @@
     private List<Writer> writers;
 
-    public Long getId() {
-        return id;
-    }
-
     public Library getLibrary() {
         return library;
-    }
-
-    public void setId(Long id) {
-        this.id = id;
     }
 
@@ -118,4 +117,8 @@
     }
 
+    public String getGenreOfBook(){return bookGenre.toString();}
+
+    public String getLibraryOfBook(){return librariesEnum.toString();}
+
     public void setBookNumber(int bookNumber) {
         bookNumber = bookNumber;
Index: src/main/java/mk/ukim/finki/db/library/model/Genre.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Genre.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Genre.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,5 +3,4 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
-import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -11,18 +10,13 @@
     public Genre(){}
 
-    public Genre(Long id, String genreName) {
-        this.id = id;
+    public Genre(String genreName) {
         this.genreName = genreName;
     }
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
 
     private String genreName;
-
-    public Long getId() {
-        return id;
-    }
 
     public String getGenreName() {
Index: src/main/java/mk/ukim/finki/db/library/model/LibrariesEnum.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/LibrariesEnum.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
+++ src/main/java/mk/ukim/finki/db/library/model/LibrariesEnum.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -0,0 +1,5 @@
+package mk.ukim.finki.db.library.model;
+
+public enum LibrariesEnum {
+    KUMANOVO, SKOPJE, BITOLA
+}
Index: src/main/java/mk/ukim/finki/db/library/model/Library.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -15,6 +15,5 @@
     }
 
-    public Library(Long id, String libraryName, String libraryCity) {
-        this.id = id;
+    public Library(String libraryName, String libraryCity) {
         this.libraryName = libraryName;
         this.libraryCity = libraryCity;
@@ -33,8 +32,4 @@
     private List<Book> books;
 
-    public String getLibraryName() {
-        return libraryName;
-    }
-
     public void addBook(Book book) {
         this.books.add(book);
Index: src/main/java/mk/ukim/finki/db/library/model/Member.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Member.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Member.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -33,6 +33,6 @@
     private Library library;
 
-    public Member(String name, String surname,  String address, String town, String phoneNumber, String email, String encryptedPasswords) {
-        super(name, surname,address, town, phoneNumber, email, encryptedPasswords);
+    public Member(String name, String surname, Date birth, String address, String town, String phoneNumber, String email, String encryptedPasswords) {
+        super(name, surname, birth, address, town, phoneNumber, email, encryptedPasswords);
     }
 
Index: src/main/java/mk/ukim/finki/db/library/model/MembershipType.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/MembershipType.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/MembershipType.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -8,10 +8,10 @@
     public MembershipType(){}
 
-    public MembershipType(Long id, String membershipTypeName) {
+    public MembershipType(String membershipTypeName) {
         this.membershipTypeName = membershipTypeName;
     }
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/Person.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Person.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Person.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -25,7 +25,8 @@
     public Person(){ }
 
-    public Person(String name, String surname, String address, String town, String phoneNumber, String email, String password) {
+    public Person(String name, String surname, Date birthDate, String address, String town, String phoneNumber, String email, String password) {
         this.name = name;
         this.surname = surname;
+        this.birthDate = birthDate;
         this.address = address;
         this.town = town;
Index: src/main/java/mk/ukim/finki/db/library/model/PriceList.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/PriceList.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/PriceList.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,5 +3,4 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
-import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -11,10 +10,10 @@
     public PriceList(){}
 
-    public PriceList(Long id, int price) {
+    public PriceList(int price) {
         this.price = price;
     }
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/ReservationBook.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/ReservationBook.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/ReservationBook.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -18,8 +18,10 @@
     }
 
-    public ReservationBook( Date takeDate, Date returnDate) { //Long id,
-        //(Long) this.book.getId() = id;
+    public ReservationBook(Member member, Book book, Date takeDate, Date returnDate, boolean isReservedBook) {
+        this.member = member;
+        this.book = book;
         this.takeDate = takeDate;
         this.returnDate = returnDate;
+        this.isReservedBook = isReservedBook;
     }
 
Index: src/main/java/mk/ukim/finki/db/library/model/Room.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -1,5 +1,8 @@
 package mk.ukim.finki.db.library.model;
 
-import javax.persistence.*;
+import javax.persistence.Entity;
+import javax.persistence.GeneratedValue;
+import javax.persistence.Id;
+import javax.persistence.ManyToOne;
 
 @Entity
@@ -8,7 +11,5 @@
     public Room(){}
 
-    public Room(Long id, String name, int places, int freePlaces) {
-        this.id = id;
-        this.name = name;
+    public Room(int places, int freePlaces) {
         this.places = places;
         this.freePlaces = freePlaces;
@@ -20,8 +21,6 @@
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
-
-    private String name;
 
     private int places;
@@ -55,7 +54,3 @@
         this.freePlaces = freePlaces;
     }
-
-    public String getName() {
-        return name;
-    }
 }
Index: src/main/java/mk/ukim/finki/db/library/model/SchoolType.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/SchoolType.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/SchoolType.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,5 +3,4 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
-import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -11,10 +10,10 @@
     public SchoolType(){}
 
-    public SchoolType(Long id, String schoolTypeName) {
+    public SchoolType(String schoolTypeName) {
         this.schoolTypeName = schoolTypeName;
     }
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/Writer.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Writer.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/model/Writer.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,5 +3,4 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
-import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -11,18 +10,13 @@
     public Writer(){}
 
-    public Writer(Long id, String writerName) {
-        this.id = id;
+    public Writer(String writerName) {
         this.writerName = writerName;
     }
 
     @Id
-    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @GeneratedValue
     private Long id;
 
     private String writerName;
-
-    public Long getId() {
-        return id;
-    }
 
     public String getWriterName() {
Index: src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/repository/BookRepository.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -5,12 +5,8 @@
 import org.springframework.stereotype.Repository;
 
-import java.util.List;
-
 @Repository
 public interface BookRepository extends JpaRepository<Book, Long> {
 
-    //TODO: listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
+    //TODO: listBooksByName, listBooksByNameAndGenre, listBooksByNameAndGenreAndWriter, listBooksByNameAndWriter
     //TODO: listBooksByGenre, listBooksByWriter
-
-    List<Book> findByBookName(String bookName);
 }
Index: src/main/java/mk/ukim/finki/db/library/repository/MemberRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/MemberRepository.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/repository/MemberRepository.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -1,9 +1,5 @@
 package mk.ukim.finki.db.library.repository;
 
-import mk.ukim.finki.db.library.model.Book;
-import mk.ukim.finki.db.library.model.Member;
 import org.springframework.stereotype.Repository;
-
-import java.util.List;
 
 @Repository
Index: src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/repository/RoomRepository.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -1,14 +1,9 @@
 package mk.ukim.finki.db.library.repository;
 
-import mk.ukim.finki.db.library.model.Book;
 import mk.ukim.finki.db.library.model.Room;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.stereotype.Repository;
 
-import java.util.List;
-
 @Repository
 public interface RoomRepository extends JpaRepository<Room, Long> {
-
-    List<Room> findByName(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/repository/UserRepository.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/repository/UserRepository.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/repository/UserRepository.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -6,5 +6,4 @@
 import org.springframework.stereotype.Repository;
 
-import java.util.List;
 import java.util.Optional;
 
@@ -14,5 +13,3 @@
 
     Optional<Person> findByEmailAndPassword(String email, String password);
-
-    List<Person> findByEmail(String email);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/BookService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,4 +3,5 @@
 import mk.ukim.finki.db.library.model.Book;
 import mk.ukim.finki.db.library.model.BookGenre;
+import mk.ukim.finki.db.library.model.LibrariesEnum;
 
 import java.util.List;
@@ -12,12 +13,9 @@
     Book findById(Long id);
 
-    Book create(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate); //, List<Long> genreIds, List<Long> writerIds
+    Book create(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, BookGenre bookGenre, LibrariesEnum librariesEnum); //, List<Long> genreIds, List<Long> writerIds
 
-    Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId);
+    Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds);
 
     Book delete(Long id);
 
-    Book createB(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId); //, List<Long> genreIds, List<Long> writerIds
-
-    List<Book> findByBookName(String bookName);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/GenreService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/GenreService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/GenreService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,4 +11,4 @@
     List<Genre> listAll();
 
-    Genre create(Long id, String name);
+    Genre create(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/LibraryService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/LibraryService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/LibraryService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,5 +11,5 @@
     List<Library> listAll();
 
-    Library create(Long id, String libraryName, String libraryCity);
+    Library create(String libraryName, String libraryCity);
 
     Library update(Long id, String libraryName, String libraryCity);
Index: src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,4 +11,4 @@
     List<MembershipType> listAll();
 
-    MembershipType create(Long id, String name);
+    MembershipType create(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/PriceListService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/PriceListService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/PriceListService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,4 +11,4 @@
     List<PriceList> listAll();
 
-    PriceList create(Long id, int price);
+    PriceList create(int price);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/ReservationBookService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/ReservationBookService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/ReservationBookService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -10,8 +10,8 @@
 public interface ReservationBookService {
 
-    //ReservationBook getActiveResBookUser(String username);
+    ReservationBook findById(Long id);
 
     List<ReservationBook> listAll();
 
-    ReservationBook reserveBook(Long bookId, Date takeDate, Date returnDate);
+    ReservationBook reserveBook(Long memberId, Long bookId, Date takeDate, Date returnDate, boolean isReservedBook);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/RoomService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,6 +11,4 @@
     List<Room> listAll();
 
-    Room create(Long id, String name, int places, int freePlaces);
-
-    List<Room> findByName(String name);
+    Room create(int name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,4 +11,4 @@
     List<SchoolType> listAll();
 
-    SchoolType create(Long id, String name);
+    SchoolType create(String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/UserService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/UserService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/UserService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -3,14 +3,12 @@
 import mk.ukim.finki.db.library.model.Person;
 
-import java.util.List;
+import java.util.Date;
 
 public interface UserService {
 
-    Person register(String name, String surname, String address, String town, String phoneNumber,
-                    String email, String password);
+    Person register(String name, String surname, Date birthDate, String address, String town, String phoneNumber,
+                     String email, String password);
 
     Person login(String username, String password);
 
-    List<Person> findByEmail(String email);
-
 }
Index: src/main/java/mk/ukim/finki/db/library/service/WriterService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/WriterService.java	(revision 6791e8943b1679187be4017d2a0a7a9356c9b6a4)
+++ src/main/java/mk/ukim/finki/db/library/service/WriterService.java	(revision e3bb1d4fa77ce5f90ff0044877a3a21e268c1216)
@@ -11,4 +11,4 @@
     List<Writer> listAll();
 
-    Writer create(Long id, String name);
+    Writer create(String name);
 }
